build: Drop libgd

Settings does not use libgd.
parent 9a611e0d
......@@ -87,16 +87,6 @@ libgvc = subproject(
)
libgvc_dep = libgvc.get_variable('libgvc_dep')
libgd = subproject(
'libgd',
default_options: [
'static=true',
'with-view-common=true',
'with-main-view=true'
]
)
libgd_dep = libgd.get_variable('libgd_dep')
goa_req_version = '>= 3.25.3'
pulse_req_version = '>= 2.0'
......
......@@ -31,7 +31,6 @@ sources += gnome.compile_resources(
deps = common_deps + [
goa_dep,
libgd_dep,
dependency('goa-backend-1.0', version: goa_req_version)
]
......
......@@ -43,7 +43,6 @@ sources += gnome.compile_resources(
deps = common_deps + [
accounts_dep,
gnome_desktop_dep,
libgd_dep,
liblanguage_dep,
polkit_gobject_dep
]
......
......@@ -164,7 +164,6 @@ deps = common_deps + [
accounts_dep,
gdk_pixbuf_dep,
gnome_desktop_dep,
libgd_dep,
liblanguage_dep,
krb_dep,
m_dep,
......
......@@ -31,7 +31,6 @@
#include <gdk/gdkkeysyms.h>
#include <gdk/gdkx.h>
#include <string.h>
#include <libgd/gd.h>
#include "cc-panel.h"
#include "cc-shell.h"
......
......@@ -77,7 +77,6 @@ sources = common_sources + files(
shell_deps = common_deps + [
libdevice_dep,
libgd_dep,
liblanguage_dep,
polkit_gobject_dep,
x11_dep
......
libgd @ cc901075
Subproject commit cc90107531640bcba6c3c58e5cf6aec94d498763
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment